#ifndef QMESSAGELISTWIDGET_H
#define QMESSAGELISTWIDGET_H

#include <QWidget>
#include <QPushButton>
#include <QModelIndex>
#include <QAction>
#include <QDesktopWidget>

#include <utils/hintedit.h>
#include <servicemgr.h>

#include "qmessagelistmodel.h"

namespace Ui {
    class QMessageListWidget;
}

class QToolBar;
class QMessageListWidget : public QWidget
{
    Q_OBJECT
public:
    explicit QMessageListWidget(QFont uf, ServiceMgr* sm = 0, QWidget *parent = 0);
    ~QMessageListWidget();

    Message getSelectedMessage() const;

    void selectedMessage(const Message &msg);
    QToolBar* filtersToolBar() const;

    void showFriendMessages(Friend fr);
    void setMultipanelEnabled(const bool isMultiPanel);

signals:
    void ownerSelected(Message msg);

public slots:
    // occurs when user selects message on list
    void itemSelected(QModelIndex index);

    void itemSelected(QAction *act);

    // seach field was updated
    void editOwnr_textChanged(QString str);

    // reset search field
    void buttonResetOwnr_clicked();

    void updateMessages(MessageList list, bool isLastUpdate);

private:
    Ui::QMessageListWidget *ui;

    ServiceFilter* filter;

    HintEdit *editOwnr;
    QPushButton *buttonEditOwnr;
    ServiceMgr *sm;

    bool isMultiPanel;

    // used model to store list of friends
    QMessageListModel *model;

    // the index of selected item
    QModelIndex selectedItem;

    QString selectedMsgAccount;

    QString selectedMsgId;

    QToolBar* filtersToolBar_;

private slots:
    void modelLayoutChanged();
    void orientationChanged();
};

#endif // QMESSAGELISTWIDGET_H
